Package twisted :: Package web :: Package woven :: Module form :: Class FormProcessor |
[frames | no frames]

## Class FormProcessor

    Resource --+
               |
              FormProcessor

Method Summary
| `__init__(self, formMethod, callback, errback)`
| `errorModelFactory(self, args, out, err)`
| `errorViewFactory(self, m)`
| ``getArgs`(self, request)` Return the formmethod.Arguments.
| `mangle_boolean(self, args)`
| `mangle_checkgroup(self, args)`
| `mangle_choice(self, args)`
| `mangle_file(self, args)`
| `mangle_flags(self, args)`
| `mangle_float(self, args)`
| `mangle_hidden(self, args)`
| `mangle_integer(self, args)`
| `mangle_integerrange(self, args)`
| `mangle_multi(self, args)`
| `mangle_password(self, args)`
| `mangle_radiogroup(self, args)`
| `mangle_single(self, args)`
| `mangle_string(self, args)`
| `mangle_submit(self, args)`
| `mangle_text(self, args)`
| `modelFactory(self, outObj)`
| ``render`(self, request)` Render a given resource.
| `viewFactory(self, model)`
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`

Class Variable Summary
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`int` | `isLeaf` = 0
`NoneType` | `server` = None

Method Details

### getArgs(self, request) Return the formmethod.Arguments. Overridable hook to allow pre-processing, e.g. if we want to enable on them depending on one of the inputs.

### render(self, request) Render a given resource. This must be implemented in all subclasses of Resource. The return value of this method will be the rendered page, unless the return value is twisted.web.server.NOT_DONE_YET, in which case it is this class's responsibility to write the results to request.write(data), then call request.finish(). Overrides: `twisted.web.resource.Resource.render` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:59 2003 | http://epydoc.sf.net